Subject: bug#26256: closed (Re: [PATCH 0/6] Add ceph + multipath-tools.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 28 Mar 2017 15:11:02 +0000

Your bug report

#26256: [PATCH 0/6] Add ceph + multipath-tools.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26256: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26256
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 0/6] Add ceph + multipath-tools.
From: Marius Bakke <[email-masked]>
To: [email-masked]
Date: Tue, 28 Mar 2017 17:10:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Marius Bakke <[email-masked]> writes:

> Hello! Here is a revised Ceph patch, and some collateral patches.
> I haven't yet tried running a Ceph cluster from Guix, but since
> most of the tests passes I'm not too worried.
>
> Marius Bakke (6):
>   Revert "gnu: snappy: Update to 1.1.4."
>   gnu: xmlstarlet: Disable failing tests.
>   gnu: Add ceph.
>   gnu: fio: Enable rbd support.
>   gnu: Add userspace-rcu.
>   gnu: Add multipath-tools.

I've pushed this series after taking the comments into account.

Hopefully Hydra can cope!

Subject: [PATCH 0/6] Add ceph + multipath-tools.
From: Marius Bakke <[email-masked]>
To: [email-masked]
Cc: Marius Bakke <[email-masked]>
Date: Sat, 25 Mar 2017 21:27:17 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello! Here is a revised Ceph patch, and some collateral patches.
I haven't yet tried running a Ceph cluster from Guix, but since
most of the tests passes I'm not too worried.

Marius Bakke (6):
  Revert "gnu: snappy: Update to 1.1.4."
  gnu: xmlstarlet: Disable failing tests.
  gnu: Add ceph.
  gnu: fio: Enable rbd support.
  gnu: Add userspace-rcu.
  gnu: Add multipath-tools.

 gnu/local.mk                                       |   4 +
 gnu/packages/benchmark.scm                         |   6 +-
 gnu/packages/compression.scm                       |   4 +-
 gnu/packages/linux.scm                             |  95 ++++++
 .../patches/ceph-disable-cpu-optimizations.patch   |  37 +++
 .../patches/ceph-skip-collect-sys-info-test.patch  |  29 ++
 .../patches/ceph-skip-unittest_blockdev.patch      |  28 ++
 gnu/packages/storage.scm                           | 352 +++++++++++++++++++++
 gnu/packages/xml.scm                               |  10 +
 9 files changed, 561 insertions(+), 4 deletions(-)
 create mode 100644 gnu/packages/patches/ceph-disable-cpu-optimizations.patch
 create mode 100644 gnu/packages/patches/ceph-skip-collect-sys-info-test.patch
 create mode 100644 gnu/packages/patches/ceph-skip-unittest_blockdev.patch
 create mode 100644 gnu/packages/storage.scm

-- 
2.12.2